package cimeroEditor;

import com.bull.cimero.pluginEditor.utils.log.CimeroLog;

import it.eng.utils.ILogger;

public class CimeroLogILoggerAdapter implements ILogger {

	public void error(String msg, Throwable exception) {
		CimeroLog.errorLog(msg, exception);

	}

	public void info(String msg) {
		CimeroLog.infoLog(msg);

	}

	public void log(int status, String msg, Throwable exception) {
		CimeroLog.log(status, msg, exception);

	}

	public void warning(String msg) {
		CimeroLog.warningLog(msg);

	}

	public void warning(String msg, Throwable exception) {
		CimeroLog.warningLog(msg, exception);

	}

}
