package com.bull.cimero.pluginEditor.editors.figure.BCFigure;

import java.io.File;

/**
 * The Screen binding component.
 * @author Cedric MOUILLERON
 * @author Pierre NOTEL
 * @author Andrea Zoppello (andrea.zoppello@eng.it)
 */
public class ScreenOutputFigure extends BCCimeroFigure {
	/** The image path. */
	private static final String IMAGEPATH
			= "icons" + File.separator + "ScreenCanal.jpg";
	/** The name of the serveur. */
	private static final String SERVERNAME = "myScreenOutput";
	/** The icon of the serveur. */
	private static final String PATHTOICON =
		"icons" + File.separator + "ico_screen.jpg";

	/**
	 * default constructor.
	 */
	public ScreenOutputFigure() {
		super(SERVERNAME, IMAGEPATH, IMAGEPATH, PATHTOICON);
	}
}
