package com.bull.cimero.pluginEditor.editors.figure.SEFigure;

import java.io.File;

/**
 * The MessageFilter Class.
 * This class is the representation of the message filter (EIP composant) in Eclipse.
 * @author Jerome Camilleri
 * @author Andrea Zoppello (andrea.zoppello@eng.it)
 */
public class MessageFilterFigure extends SECimeroFigure {
    /** The image path. */
    private static final String IMAGEPATH
            = "icons" + File.separator + "messageFilter.gif";
    /** The image error path. */
    private static final String IMAGEPATHERROR
            = "icons" + File.separator + "messageFilter_error.gif";
    /** The icon of the serveur. */
    private static final String PATHTOICON =
        "icons" + File.separator + "ico_messageFilter.jpg";

    /**
     * default constructor.
     */
    public MessageFilterFigure() {
        super(IMAGEPATH, IMAGEPATHERROR, PATHTOICON);
    }
}
