package com.bull.cimero.pluginEditor.editors.figure.SEFigure;

import java.io.File;

/**
 * The transfomer Figure Class.
 * This class is the representation of the transfomer Model in Eclipse.
 * @author Cedric MOUILLERON
 * @author Pierre NOTEL
 * @author Andrea Zoppello (andrea.zoppello@eng.it)
 */
public class PeopleFigure extends SECimeroFigure {

	/** The image path. */
	private static final String IMAGEPATH
			= "icons" + File.separator + "people.gif";
	/** The image error path. */
	private static final String IMAGEPATHERROR
			= "icons" + File.separator + "people_error.gif";
	/** The icon of the serveur. */
	private static final String PATHTOICON =
		"icons" + File.separator + "ico_people.jpg";

	/**
	 * default constructor.
	 */
	public PeopleFigure() {
		super(IMAGEPATH, IMAGEPATHERROR, PATHTOICON);
	}

}
