package com.bull.cimero.pluginEditor.generator.serviceMixGenerator.model.global;

/**
 * This class reprensents the constructor in the ServiceMix model.
 * @author Cedric MOUILLERON
 * @author Pierre NOTEL
 *@author Andrea Zoppello (andrea.zoppello@eng.it)
 */
public class ConstructorClass {
	/**The value of this constructor.*/
	private String value = "";


	/**
	 * the default constructor with the value of the constructor
	 * in parameter.
	 * @param valueP : the value of the constructor.
	 */
	public ConstructorClass(final String valueP) {
		super();
		this.value = valueP;
	}

	/**
	 * @return Returns the value.
	 */
	public final String getValue() {
		return value;
	}

	/**
	 * @param valueParam
	 *  The value to set.
	 */
	public final void setValue(final String valueParam) {
		this.value = valueParam;
	}
}
