package com.bull.cimero.pluginEditor.generator.serviceMixGenerator.model.global;

import java.util.List;

import it.eng.spagosoa.metadb.api.IMetadbApi;
import it.eng.spagosoa.metadb.model.XmlNamespace;
import cimeroEditor.CimeroEditorPlugin;
/**
 * @author Andrea Zoppello (andrea.zoppello@eng.it)
 */

public class NameSpaceUtils {
	
	public static String generateNamespaces(String prefix){
		
		StringBuffer sb = new StringBuffer();
		try{
			IMetadbApi metadb = CimeroEditorPlugin.getDefault().getMetadbApi();
			metadb.open();
			List<XmlNamespace> l = metadb.getXmlNamespaces();
			metadb.close();
			for (XmlNamespace xns : l){
				sb.append("<"+prefix+":namespace prefix=\""+xns.getPrefix()+"\">"+xns.getValue()+"</"+prefix+":namespace>");
				sb.append("\n");
			}
		}catch (Exception e) {
			e.printStackTrace();
		}
		return sb.toString();
	}
}
