package it.eng.cimero.plugin.providers;



import it.eng.spagosoa.metadb.model.Attribute;

import org.eclipse.jface.viewers.ILabelProviderListener;
import org.eclipse.jface.viewers.ITableLabelProvider;
import org.eclipse.swt.graphics.Image;

public class AttributeLabelProvider implements ITableLabelProvider
{
	
	public AttributeLabelProvider(){
	}
	
	public String getColumnText(Object element, int column_index) {
			 if (element instanceof Attribute) {
				
				 // 0 - NAME
				 // 3 - Visible
				 // 4 - Mandatory
				 
				 if (column_index == 0){
					 return ((Attribute)element).getName();
				 }
				 
				 if (column_index == 1){
					 
					 int attributeType = ((Attribute)element).getType();
					 if (attributeType == 0 ){
						 return "STRING";
					 }
				 }
				 return "";
			 }else{
				 return "";
			 }
  }

  public void addListener(ILabelProviderListener ilabelproviderlistener)
  {
  }

  public void dispose()
  {
  }

  public boolean isLabelProperty(Object obj, String s)
  {
    return false;
  }

  public void removeListener(ILabelProviderListener ilabelproviderlistener)
  {
  }

  public Image getColumnImage(Object element, int column_index)
  {
      return null;
    
  }
}

