package com.bull.cimero.pluginEditor.editors.figure.BCFigure;

import java.io.File;

/**
 * The Mail Figure.
 * @author Cedric MOUILLERON
 * @author Pierre NOTEL
 * @author Andrea Zoppello (andrea.zoppello@eng.it)
 */
public class MailFigure extends BCCimeroFigure {

	/** The image path. */
	private static final String IMAGEPATH
			= "icons" + File.separator + "MailCanal.gif";
	/** The image error path. */
	private static final String IMAGEPATHERROR
			= "icons" + File.separator + "MailCanal_error.jpg";
	/** The name of the serveur. */
	private static final String SERVERNAME = "my mail server";
	/** The icon of the serveur. */
	private static final String PATHTOICON =
		"icons" + File.separator + "ico_mail.jpg";

	/**
	 * The constructor.
	 */
	public MailFigure() {
		super(SERVERNAME, IMAGEPATH, IMAGEPATHERROR, PATHTOICON);
	}

}
