package com.bull.cimero.pluginEditor.editors.figure.BCFigure;

import java.io.File;

/**
 * The Timer Cimero Figure.
 * @author Cedric MOUILLERON
 * @author Pierre NOTEL
 * @author Andrea Zoppello (andrea.zoppello@eng.it)
 */
public class TimerFigure extends BCCimeroFigure {

	/** The image path. */
	private static final String IMAGEPATH
			= "icons" + File.separator + "TimerCanal.jpg";
	/** The image error path. */
	private static final String IMAGEPATHERROR
			= "icons" + File.separator + "TimerCanal_error.jpg";
	/** The name of the component. */
	private static final String SERVERNAME = "my timer";
	/** The icon of the serveur. */
	private static final String PATHTOICON =
		"icons" + File.separator + "ico_timer.jpg";

	/**
	 * default constructor.
	 */
	public TimerFigure() {
		super(SERVERNAME, IMAGEPATH, IMAGEPATHERROR, PATHTOICON);
	}

}
